Commit 670e6276 authored by Carsten  Rose's avatar Carsten Rose
Browse files

New Version v0.18.7

parent c217dd61
......@@ -35,8 +35,8 @@ Neue Versionsnummer
6) Neuen Tag vergeben:
git tag v0.18.6a
git push -u origin v0.18.6a
git tag v0.18.7
git push -u origin v0.18.7
7) Per PhpStorm Sync aller Files auf VM qfq.
......
......@@ -1492,9 +1492,9 @@ Depending on `r`, the following access permission will be taken:
* `sip`
* is *always* the preferred way. With 'sip' it's not necessary to differ between logged in or not, cause the SIP
only exist and is only valid, if it's created via QFQ/report earlier. This means 'creating' the SIP implies
'access granted'. The grant will be revoked when the QFQ session is destroyed - this happens when a user loggs out or
the webbrowser is closed.
only exist and is only valid, if it's created via QFQ/report earlier. This means 'creating' the SIP implies
'access granted'. The grant will be revoked when the QFQ session is destroyed - this happens when a user loggs out or
the webbrowser is closed.
* `logged_in` / `logged_out`: for forms which might be displayed without a SIP, but maybe on a protected or even unprotected page. *The option is probably not often used.*
......@@ -5268,7 +5268,7 @@ Error Messages
--------------
Internal Server Error
'''''''''''''''''''''
^^^^^^^^^^^^^^^^^^^^^
The browser shows a red popup with 'Internal Server Error'. The message is generated in the browser. Happens e.g. an AJAX
request response of QFQ (=Server) is broken. This might happen e.g. if PHP can't start successfully or PHP fails to run
......@@ -5294,7 +5294,7 @@ For apache: /var/log/apache2/error_log
Call to undefined function qfq\\mb_internal_encoding()
''''''''''''''''''''''''''''''''''''''''''''''''''''''
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
Check that all required php modules are installed. See `preparation`_.
......@@ -5302,7 +5302,7 @@ QFQ specific
------------
Variable empty: {{...}}
'''''''''''''''''''''''
^^^^^^^^^^^^^^^^^^^^^^^
Specify the required sanatize class. Remember: for STORE_FORM and STORE_CLIENT the default is `digit`. This means if
the variable content is a string, this violates the sanatize class and the replaced content will be an empty string!
\ No newline at end of file
......@@ -35,6 +35,26 @@ Bug Fixes
^^^^^^^^^
Version 0.18.7
--------------
Changes
^^^^^^^
* Makefile: 'make bootstrap' udpates all JS Lib packages. Double npm install removed.
Features
^^^^^^^^
* #3947 / Attack detectect: logout current user (only QFQ, FE User still logged in).
* #3959 / Class _link: implement 'any' Bootstrap glyphicons. New token 'G:' for '_link'.
Bug Fixes
^^^^^^^^^
* #3953 / Radio buttons: Auswahl nicht angezeigt, wenn per itemList definiert
* Feature #3982 / Filename Sanatize: remove spaces. Filename not properbly enclosed by double ticks.
Version 0.18.6
--------------
......
......@@ -3,7 +3,7 @@
project = QFQ - Quick Form Query
version = 0.18
release = 0.18.6a
release = 0.18.7
t3author = Carsten Rose
copyright = since 2017 by the author
......
......@@ -59,7 +59,7 @@ copyright = u'2017, Carsten Rose'
# The short X.Y version.
version = '0.18'
# The full version, including alpha/beta/rc tags.
release = '0.18.6a'
release = '0.18.7'
# The language for content autogenerated by Sphinx. Refer to documentation
# for a list of supported languages.
......
......@@ -35,6 +35,26 @@ Bug Fixes
^^^^^^^^^
Version 0.18.7
--------------
Changes
^^^^^^^
* Makefile: 'make bootstrap' udpates all JS Lib packages. Double npm install removed.
Features
^^^^^^^^
* #3947 / Attack detectect: logout current user (only QFQ, FE User still logged in).
* #3959 / Class _link: implement 'any' Bootstrap glyphicons. New token 'G:' for '_link'.
Bug Fixes
^^^^^^^^^
* #3953 / Radio buttons: Auswahl nicht angezeigt, wenn per itemList definiert
* Feature #3982 / Filename Sanatize: remove spaces. Filename not properbly enclosed by double ticks.
Version 0.18.6
--------------
......
......@@ -10,6 +10,6 @@ $EM_CONF[$_EXTKEY] = array(
'dependencies' => 'fluid,extbase',
'clearcacheonload' => true,
'state' => 'alpha',
'version' => '0.18.6a'
'version' => '0.18.7'
);
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment